/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_EVENT

#include "event_listener.h"
#include "event_handler.h"

using namespace std;


/**
 *  standard constructor
*/
EventListener::EventListener ()
{
  this->setClassID(CL_EVENT_LISTENER, "EventListener");
}


/**
 *  standard deconstructor
*/
EventListener::~EventListener ()
{
  /* unsubscribes itself from the event listener */
  EventHandler::getInstance()->unsubscribe(this, ES_ALL);
}
