/*!
 * @file simple_sync.h
 *  implementation of a network sync test
 */

#ifndef _READ_SYNC
#define _READ_SYNC

#include "synchronizeable.h"


class ReadSync : public Synchronizeable
  {
  public:
    ReadSync(const char* name);
    virtual ~ReadSync();

    virtual int writeBytes(const byte* data, int length, int sender);
    virtual int readBytes(byte* data, int maxLength, int * reciever);


  private:
    virtual void writeDebug() const;
    virtual void readDebug() const;


  private:
    byte* inData;
    int   inLength;
    int   recLength;
  };

#endif /* _READ_SYNC */
